package com.ms.biz.service;

import java.util.List;

import com.ms.biz.bo.ShopBO;
import com.ms.biz.dto.openspi.request.QuerySupplyPlatformAuthParam;
import com.ms.biz.dto.openspi.response.QuerySupplyPlatformAuthData;
import com.ms.dal.entity.Shop;

/**
 *
 */
public interface ShopService  {

    Shop getDetailById(Long id);

    int deleteByPrimaryKey(Long id);

    int insert(Shop record);

    int insertSelective(Shop record);

    Shop selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Shop record);

    int updateByPrimaryKey(Shop record);

    List<Shop> getShopByIds(List<String> shopIds);

    List<Shop> getExpiresTokenShops(String gmtExpireStart,String gmtExpireEnd);

    ShopBO getShopInfo(Long shopId);

    ShopBO getShopInfoByShop(Shop shop);

    void querySupplyPlatformAuth(QuerySupplyPlatformAuthParam param, QuerySupplyPlatformAuthData data);
}
